org.apache.ignite.internal.processors.query.stat.config

## Class StatisticsColumnOverrides

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.config.StatisticsColumnOverrides

All Implemented Interfaces:
  Serializable

    public class StatisticsColumnOverrides
    extends Object
    implements Serializable

Configuration overrides.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StatisticsColumnOverrides(Long nulls, Long distinct, Long total, Integer size)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `distinct()` Get number of distinct values in column.
`boolean` `equals(Object o)`
`int` `hashCode()`
`Long` `nulls()` Get number of `null` values in column.
`Integer` `size()` Get average size in bytes.
`String` `toString()`
`Long` `total()` Get total number of values in column.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StatisticsColumnOverrides

    public StatisticsColumnOverrides(Long nulls,
                                     Long distinct,
                                     Long total,
                                     Integer size)

Constructor.

Parameters:
  `nulls` - Number of null values or `null` to keep calculated value.
  `distinct` - Number of distinct values or `null` to keep calculated value.
  `total` - Total number of values in column or `null` to keep calculated value.
  `size` - Average size in bytes or `null` to keep calculated value.

### Method Detail

#### nulls

    public Long nulls()

Get number of `null` values in column.

Returns:
  Number of null values in column.

#### distinct

    public Long distinct()

Get number of distinct values in column.

Returns:
  Number of distinct values in column.

#### total

    public Long total()

Get total number of values in column.

Returns:
  Total number of values in column (including `null`'s).

#### size

    public Integer size()

Get average size in bytes.

Returns:
  Average size in bytes.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023